<template>
    <div class="summary-sheets">
<!--        <div id="summary">-->
<!--            <el-row type="flex" class="head-area" align="middle">-->
<!--                <el-col>-->
<!--                    <span>企业指标分类统计</span>-->
<!--                </el-col>-->
<!--                <el-col class="head-area-button">-->
<!--                    <el-button style="float: right; padding: 3px 0" icon="el-icon-close" type="info" @click="closeBtn"></el-button>-->
<!--                </el-col>-->
<!--            </el-row>-->
<!--        <el-tabs class="tabs-text">-->
            <div>
              <i class="el-icon-c-scale-to-original" @click="closeBtn"></i>
            </div>
            <Dialog ref="summarySheets" title="企业指标分类统计">
<!--              <el-row :gutter="20" >-->
<!--                <el-col>-->
                  <el-tabs  v-model="activeName" type="border-card">
                    <el-tab-pane label="废水" name="first">
                      <waste-water></waste-water>
                    </el-tab-pane>
                    <el-tab-pane label="废气" name="second">
                      <waste-gas></waste-gas>
                    </el-tab-pane>
                    <el-tab-pane label="固废" name="third">
                      <solid-waste></solid-waste>
                    </el-tab-pane>
                    <el-tab-pane label="空气质量" name="fourth">
                      <AirQuality></AirQuality>
                    </el-tab-pane>
                  </el-tabs>
<!--                </el-col>-->
<!--              </el-row>-->
            </Dialog >
    </div>
</template>

<script>
import WasteWater from '@/components/table/components/WasteWater.vue'
import WasteGas from './components/WasteGas'
import SolidWaste from './components/SolidWaste'
import AirQuality from './components/AirQuality'
import Dialog from '@views/popup/Dialog'
export default {
  name: 'summary-sheet.vue',
  components: {
    Dialog,
    WasteWater,
    WasteGas,
    SolidWaste,
    AirQuality
  },
  data () {
    return {
      activeName: 'first'
    }
  },
  methods: {
    closeBtn () {
      // const summary = document.getElementById('summary')
      // summary.style.display = 'none'
      this.$refs.summarySheets.show()
    },
    tableHeaderColor ({ row, column, owIndex, columnIndex }) {
      return 'background-color: rgba(26, 73, 81, 0.901960784313726);color:#fff;font-wight:500;font-size:12px;text-align:center;height:0px'
    },
    // 表头样式设置
    rowClass  () {
      return 'text-align: center;background-color: rgba(26, 73, 81, 0.901960784313726);color:#fff;width:64px'
    }
  }
}
</script>

<style scoped lang="less">
    .summary-sheets {
        position: absolute;
        top: 450px;
        left: 200px;
        width: 40px;
        height: 40px;
        /*width: 850px;*/
        /*height: 265px;*/
        border: #90c8e0 1px solid;
        z-index:2000;
        background-color: rgba(26, 73, 81, 0.901960784313726);
        /*color: #fff;*/
       .el-icon-c-scale-to-original {
         width: 100%;
         height: 100%;
       }
    }
    /*.head-area{*/
    /*    color: #fff;*/
    /*    width: 100%;*/
    /*    height: 40px;*/
    /*    background-color: #002433;*/
    /*    font-size: 16px;*/
    /*    border-bottom: #90c8e0 2px solid;*/
    /*    padding-left: 16px;*/
    /*    !*line-height: 40px;*!*/
    /*}*/
    /*.head-area-button{*/
    /*    margin-right: 5px;*/
    /*}*/
</style>
